petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscMallocGetDumpLog

Determine whether all calls to PetscMalloc() are being logged

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocGetDumpLog(PetscBool *logging)

Not Collective

Output Arguments

logging -PETSC_TRUE if logging is active

### Options Database Key

-malloc_log -Activates PetscMallocDumpLog()

### See Also

PetscMallocDump(), PetscMallocDumpLog()

Level:advanced
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages